package cn.hnthyy.thmz.Utils;

import org.apache.commons.lang3.StringUtils;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * 日期工具类
 */
public class DateUtil {
    /**
     * 判断给定时间与当前时间间隔小时数是否满足给定的间隔小时数
     * @param startTime
     * @param intervalTime
     * @return
     */
    public static boolean intervalTime(Date startTime, int intervalTime) {
        if(startTime==null){
            return true;
        }
        long cha = System.currentTimeMillis() - startTime.getTime();
        double result = cha * 1.0 / (1000 * 60 * 60);
        if (result <= intervalTime) {
            return false; //说明小于给定的小时数
        } else {
            return true;
        }
    }

    /**
     * 获取与当前时间相隔多少个小时数后的时间
     * @param time 间隔小时数
     * @return
     */
    public static Date getDate(int time){
        Calendar calendar = Calendar.getInstance();
        calendar.add(Calendar.HOUR,time);
        return calendar.getTime();
    }

    /**
     * 将日期转换成相应格式字符串
     * @param date
     * @param format
     * @return
     */
    public static String paseToString(Date date,String format){
        if(date!=null && StringUtils.isNotBlank(format)){
            DateFormat sdf = new SimpleDateFormat(format);
            return sdf.format(date);
        }
        return null;
    }


}
